%define name 	gds-lsmp
%define version 3.0.0
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

Name: 		%{name}
Summary: 	gds-lsmp 3.0.0
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems
Source: 	https://software.igwn.org/lscsoft/source//%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.lsc-group.phys.uwm.edu/daswg/projects/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make
BuildRequires:  gds-base-devel >= 3.0.0
Obsoletes:      gds-base-crtools < 2.19.2
Obsoletes:      gds-base-lowlatency < 2.19.4
Requires:       gds-base >= 3.0.0
Prefix:		%prefix

%description
Global diagnostics software

%package  devel
Summary: 	GDS development files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Obsoletes: gds-lowlatency-devel < 2.19.4
Requires: %{name}-headers = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: gds-base-devel >= 3.0.0

%description devel
GDS software development files.

%package   headers
Summary: 	 GDS header files.
Version: 	 %{version}
Group: 		 LSC Software/Data Analysis
Obsoletes: gds-lowlatency-headers < 2.19.4
Requires:  gds-base-headers >= 3.0.0

%description headers
GDS software header files.

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig

%if 0%{?rhel} < 8
CXXFLAGS="-std=c++11"
export CXXFLAGS
%endif

ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  \
    --prefix=%prefix \
    --libdir=%{_libdir} \
	  --includedir=%{prefix}/include/gds
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.a
%{_libdir}/*.so

%files headers
%{_includedir}

%changelog
* Sat Nov 19 2022 Edward Maros <ed.maros@ligo.org> - 3.0.0-1
- Updated for release as described in NEWS.md

* Tue Apr 19 2022 Edward Maros <ed.maros@ligo.org> - 2.19.9-1
- Updated for release as described in NEWS.md

* Fri Jan 28 2022 Edward Maros <ed.maros@ligo.org> - 2.19.8-1
- Updated for release as described in NEWS.md

* Fri May 07 2021 Edward Maros <ed.maros@ligo.org> - 2.19.7-1
- Updated for release as described in NEWS.md

* Thu Feb 25 2021 Edward Maros <ed.maros@ligo.org> - 2.19.6-1
- Updated to latest release
- Review NEWS.md for detailed description of changes

* Thu Feb 25 2021 Edward Maros <ed.maros@ligo.org> - 2.19.5-1
- Updated to latest release
- Review NEWS.md for detailed description of changes

* Wed Feb 17 2021 Edward Maros <ed.maros@ligo.org> - 2.19.4-1
- Modified Source field of RPM spec file to have a fully qualified URI

* Tue Feb 02 2021 Edward Maros <ed.maros@ligo.org> - 2.19.3-1
- Corrections to build rules

* Fri Nov 20 2020 Edward Maros <ed.maros@ligo.org> - 2.19.2-1
- Split lowlatency as a separate package

* Thu Jun 11 2020 Edward Maros <ed.maros@ligo.org> - 2.19.1-1
- Removed FrameL
